Установка Cool Reader и FbReader в Ubuntu 12.04 — 13.04

Если Вы любите читать книги на своем компьютере в таких форматах, как fb2, html, chm, plucker, palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM’ed mobipocket, plain text, epub, eReader, тогда я Вам советую эти две программы: Cool Reader и FbReader.

1. FbReader

На мой взгляд, FbReader — это лучшая «читалка» для Linux.

Поддерживает следующие форматы: fb2, html, chm, plucker, palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM’ed mobipocket, plain text, epub, eReader.


Устанавливается из репозиториев Ubuntu, откройте терминал и выполните следующую команду: sudo apt-get install fbreader

2. Cool Reader

CoolReader 3 — отличная программа для чтения электронных книг. 
Небольшая и быстрая.
Поддерживаемые форматы: FB2, TXT, RTF, DOC, TCR, HTML, EPUB, CHM, PDB.

Чтобы установить Cool Reader в Ubuntu 12.04 — 13.04, откройте терминал и выполните следующие команды:

sudo add-apt-repository ppa:vovansrnd/coolreader

sudo apt-get update

sudo apt-get install cr3

После установки программы из этого репозитория, она будет на английском языке.
Чтобы русифицировать её, выполните следующую команду в терминале (это одна команда, скопируйте полностью):

cd /usr/share/cr3/i18n && sudo rm cr3_ru.qm && sudo wget https://dl.dropbox.com/u/8815713/mintusers/cr3/cr3_ru.qm

Теперь можно запускать и программа будет на русском языке.

Заметил еще такую особенность, после установки программы, не было значка на панели Unity. После перезапуска сеанса всё нормализовалось. Если у Вас будет такая же проблема — перезапустите сеанс.

Чтобы выбрать фон, перейдите в настройки:

В настройках можно изменить не только стиль фона, но и другие параметры, чтобы Вам было удобнее читать книжки с монитора Вашего компьютера.


Вот и всё! Приятного чтения любимых книжек!

  • https://www.blogger.com/profile/07320076826636912175 Ася Владимирская

    Спасибо

  • https://www.blogger.com/profile/00397827197129167027 Потап Чехов

    Не устанавливаетя на Linux mint 16, пишет ошибку.
    Теперь менеджер программ при обновлении выдаёт ошибку:
    Не удалось получить http://ppa.launchpad.net/vovansrnd/coolreader/ubuntu/dists/saucy/main/source/Sources 404 Not Found
    Не удалось получить http://ppa.launchpad.net/vovansrnd/coolreader/ubuntu/dists/saucy/main/binary-i386/Packages 404 Not Found
    Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.

    Как сделать, чтобы ошибка больше не появлялась.

  • https://www.blogger.com/profile/02370174483012187700 vovans

    Добрый день!

    Я обновил свой ppa для Cool Reader (до версии 3.1.2-39). Решил проблему с русским интерфейсом и ряд прочих. Теперь просто устанавливаете и оно работает.

    Напомню:

    ppa:vovansrnd/coolreader

    На всякий случай ссылка на мой обзор (там немаленькое обсуждение, плюс всегда актыальные скриншоты и информация об обновлениях в комментариях):

    http://zenway.ru/page/coolreader-3

    На данный момент это лучший ридер, на мой взгляд, так как пока в нём я видел сноски на одной странице с текстом и разбивка текста на две страницы, что немаловажно на wide-экранах.

    • https://www.blogger.com/profile/00865845114198842309 Edward Kobylyanets

      Спасибо, что отписались. Обновлю страницу.

    • https://www.blogger.com/profile/02370174483012187700 vovans

      К сожалению, и эта сборка не без косяков (( надо разбираться, почему так происходит, а пока лечим так:

      wget http://dl.dropbox.com/u/22272434/src/cr3.ini -O/home/`whoami`/.cr3/cr3.ini
      ln -s /usr/share/cr3/backgrounds/ /home/`whoami`/.cr3/backgrounds

    • https://www.blogger.com/profile/11603051721991142417 dimzon

      под 15.04 не ставится
      оффтопик: что за шрифт на скринах http://zenway.ru/page/ooofbtools#cut

  • https://www.blogger.com/profile/00397827197129167027 Потап Чехов

    Спасибо VOVANS, установил Cool Reader, работает отлично. (Linux mint mate 17) Респект Вам и уважуха.
    А то из Deb пакета устанавливать не совсем правильно, а fbreader мне никогда не нравился.

  • https://www.blogger.com/profile/17399975859314557613 Сергей Молоденков

    Ни хрена прога не русифицыровалась. Проблему решил установил с помощью команд а потом поверх неё запустил установку из деб-пакета. В результате получил русифицированную версию из деб-пакета+ интерфейс из терминальной установки.(здесь он побогаче)

  • https://www.blogger.com/profile/13320462227649569733 Mythicalfox

    Mint 18 :
    'This PPA does not support xenial'
    Cannot add PPA: ''This PPA does not support xenial''.